Page tree
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 47 Next »

Apache NetBeans (incubating) 9.0 Beta is the Apache NetBeans incubator release of the NetBeans Java SE IDE, i.e., the NetBeans Platform that underpins NetBeans IDE, released as Apache NetBeans (incubating) 9.0 Alpha, together with all the features and tools applicable to general Java development – including Java Swing, JavaFX, and the support created specifically for Java 9, i.e., JShell, JLink, and Jigsaw.

The features making up the 9.0 release are listed here: Apache NetBeans 9.0 New and Noteworthy

Vote Threads

PPMC vote on RC2:
https://lists.apache.org/thread.html/796200c149232ba2da722c6d4b1310307708e09b2afa77eb90ecaebc@%3Cdev.netbeans.apache.org%3E

PPMC vote result for RC2:
https://lists.apache.org/thread.html/ff699b382e5498ca41e56315c9b97de83b3a625140b0ba451f828cfb@%3Cdev.netbeans.apache.org%3E

IPMC vote on RC2:
https://lists.apache.org/thread.html/8e9520d5e1e365ed2337940fb629c209c63efae24b0a2e44d50412a3@%3Cgeneral.incubator.apache.org%3E

Tasks for RC3:
Apache NetBeans 9.0 Beta rc3

Tasks for Apache NetBeans 9.0 Beta

Tasks to be completed for Apache NetBeans (incubating) 9.0 Beta to be released:

  • define a mechanism by means of which nb-javac is installed by the user, on demand, since it cannot be installed by default because it is GPL licensed: "Any NetBeans user who wants to use the optional Java module will have to separately install the nb-javac module. The Apache NetBeans project will provide instructions and/or helpful scripts to assist in the installation. The user will be required to accept the terms of the license."  LEGAL-279 - Getting issue details... STATUS

    Solution: at startup, this dialog is shown, when running on JDK 8:



    When running on JDK 9, a notification appears, in Window | IDE Tools | Notifications, via which nb-javac can be installed, as an alternative to using javac directly from JDK 9.

    ...when "Install nb-javac" is clicked, the user needs to explicitly accept the terms of the license:



    See:
    https://cwiki.apache.org/confluence/display/NETBEANS/Java+Editor+Using+JDK+javac

  • clear out Rat: https://builds.apache.org/job/incubator-netbeans-linux/lastSuccessfulBuild/artifact/nbbuild/build/rat-report.txt
  • clear out the problems in verify-libs-and-licenses (run 'ant verify-libs-and-licenses' in the root to get the report), specifically solve GPL usage:
  • look at DEPENDENCIES and other files, if there are any issues, fix them
  • start the IDE, and check the licenses shown (Accept License dialog), texts, About window, etc. make sense (fix what does not)
  • folks have some bugs reported with label Java9-IDE. We need to decide whether those absolutely need to be fixed for the first/beta release – though probably not.
  • complete analysis of impact of those files that were removed prior to donation. (wiki link)

Kanban board:

https://issues.apache.org/jira/secure/RapidBoard.jspa?rapidView=219

Related issues:

NETBEANS-54 - Getting issue details... STATUS

Next steps: put together a distribution and start a VOTE thread on the Apache NetBeans dev mailing list for the Apache NetBeans (incubating) 9.0 Beta release.

After Apache NetBeans (incubating) 9.0 Beta is released, the NetCAT community will begin its process, after which Apache NetBeans (incubating) 9.0 will be released.

  • No labels